flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ritesh Kumar Singh <riteshoneinamill...@gmail.com>
Subject Re: Compile fails with scala 2.11.4
Date Wed, 20 Jan 2016 15:28:09 GMT
Thanks for the update Robert, I tried it out and it works fine for
scala_2.11.4 version.
I've made a docker image
<https://hub.docker.com/r/gonephishing/flink_0.10.1-scala-2.11.4/> of the
same and put it up on the hub just in case anyone else needs it.

Thanks,

*Ritesh Kumar Singh,*
*https://riteshtoday.wordpress.com/* <https://riteshtoday.wordpress.com/>

On Wed, Jan 20, 2016 at 10:07 AM, Robert Metzger <rmetzger@apache.org>
wrote:

> Hi,
>
> in the latest master, the "tools/change-scala-version.sh" should be
> fixed. Also, the 1.0-SNAPSHOT version deployed to the snapshot repository
> should be good again.
>
> @Ritesh: The commands were correct. I'm not sure if Flink builds with
> Scala 2.11.4, the default 2.11 version we are using is 2.11.7.
>
>
>
> On Tue, Jan 19, 2016 at 7:41 AM, Prez Cannady <
> revprez@correlatesystems.com> wrote:
>
>> Assuming you haven’t already migrated back to 2.10, you might try this;
>> $ git checkout release-0.10
>> $ tools/change-scala-version 2.11
>> $ mvn clean install -DskipTests=true -Dmaven.javadoc.skip=true
>> -Dscala.version=2.11.4 -Dscala.binary.version=2.11
>>
>> Then try building your project.  Building under these conditions resolved
>> my issue which emitted the same error.
>>
>> Prez Cannady
>> p: 617 500 3378
>> e: revprez@opencorrelate.org
>> GH: https://github.com/opencorrelate
>> LI: https://www.linkedin.com/in/revprez
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> On Jan 18, 2016, at 10:20 AM, Ritesh Kumar Singh <
>> riteshoneinamillion@gmail.com> wrote:
>>
>> Thanks for the replies.
>>
>> @Chiwan, I am switching back to scala_2.10.4 for the time being. I was
>> using scala_2.11.4 as this is the version I've compiled spark with. But
>> anyways, I can wait for the bug to be resolved.
>>
>> @Robert, the commands were as follows:
>> $tools/change-scala-version.sh 2.11
>> $mvn clean install -DskipTests -Dscala.version=2.11.4
>>
>> I hope I'm doing it right ?
>>
>> Thanks,
>>
>> *Ritesh Kumar Singh,*
>> *https://riteshtoday.wordpress.com/* <https://riteshtoday.wordpress.com/>
>>
>> On Mon, Jan 18, 2016 at 12:03 PM, Robert Metzger <rmetzger@apache.org>
>> wrote:
>>
>>> How did start the Flink for Scala 2.11 compilation ?
>>>
>>> On Mon, Jan 18, 2016 at 11:41 AM, Chiwan Park <chiwanpark@apache.org>
>>> wrote:
>>>
>>>> Hi Ritesh,
>>>>
>>>> This problem seems already reported [1]. Flink community is
>>>> investigating this issue. I think that if you don’t need Scala 2.11, use
>>>> Scala 2.10 until the issue is solved.
>>>>
>>>> [1]:
>>>> http://mail-archives.apache.org/mod_mbox/flink-user/201601.mbox/%3CCAB6CeiZ_2snN-piXzd3gHnyQePu_PA0Ro7qXUF8%3DVTxoyL0YyA%40mail.gmail.com%3E
>>>>
>>>> > On Jan 18, 2016, at 7:24 PM, Ritesh Kumar Singh <
>>>> riteshoneinamillion@gmail.com> wrote:
>>>> >
>>>> > [ERROR]
>>>> /home/flink/flink-runtime/src/test/scala/org/apache/flink/runtime/jobmanager/JobManagerITCase.scala:703:
>>>> error: can't expand macros compiled by previous versions of Scala
>>>> > [ERROR]               assert(cachedGraph2.isArchived)
>>>> > [ERROR]                                   ^
>>>> > [ERROR] one error found
>>>> > [INFO]
>>>> ------------------------------------------------------------------------
>>>> > [INFO] Reactor Summary:
>>>> > [INFO]
>>>> > [INFO] flink .............................................. SUCCESS
[
>>>> 24.820 s]
>>>> > [INFO] flink-annotations .................................. SUCCESS
>>>> [  2.755 s]
>>>> > [INFO] flink-shaded-hadoop ................................ SUCCESS
>>>> [  0.208 s]
>>>> > [INFO] flink-shaded-hadoop2 ............................... SUCCESS
[
>>>> 15.627 s]
>>>> > [INFO] flink-shaded-include-yarn-tests .................... SUCCESS
[
>>>> 17.076 s]
>>>> > [INFO] flink-shaded-curator ............................... SUCCESS
>>>> [  0.200 s]
>>>> > [INFO] flink-shaded-curator-recipes ....................... SUCCESS
>>>> [  2.751 s]
>>>> > [INFO] flink-shaded-curator-test .......................... SUCCESS
>>>> [  0.355 s]
>>>> > [INFO] flink-core ......................................... SUCCESS
[
>>>> 33.052 s]
>>>> > [INFO] flink-java ......................................... SUCCESS
[
>>>> 10.224 s]
>>>> > [INFO] flink-runtime ...................................... FAILURE
>>>> [01:23 min]
>>>> > [INFO] flink-optimizer .................................... SKIPPED
>>>> >
>>>> >
>>>> > Any workaround for scala_2.11.4 or do I have to switch back to
>>>> scala_2.10.4 ?
>>>> >
>>>> > Thanks,
>>>> > Ritesh Kumar Singh,
>>>> > https://riteshtoday.wordpress.com/
>>>> >
>>>>
>>>> Regards,
>>>> Chiwan Park
>>>>
>>>>
>>>
>>
>>
>

Mime
View raw message